{
  config,
  lib,
  pkgs,
  ...
}:

{
  config = {
    hardware.openrazer = {
      enable = true;
      users = [
        "wroclaw"
      ];
      # NIXPKGS-PR: 384992
      packages = let
        oldVersion = pkgs.python3Packages.openrazer-daemon.version;
        version = "3.10.3";
      in lib.mapAttrs (_: package: package.overrideAttrs (oldAttrs: {
        version = lib.replaceStrings [ oldVersion ] [ version ] oldAttrs.version;
        src = pkgs.fetchFromGitHub {
          owner = "openrazer";
          repo = "openrazer";
          tag = "v${version}";
          hash = "sha256-M5g3Rn9WuyudhWQfDooopjexEgGVB0rzfJsPg+dqwn4=";
        };
      })) {
        kernel = config.boot.kernelPackages.openrazer;
        daemon = pkgs.python3Packages.openrazer-daemon;
      };
    };
    environment.systemPackages = with pkgs; [
      polychromatic
    ];
  };
}
